import { request } from '../utils/request';

// 创建临时订单-立即抢购时调用
export function groupBuyConfirm(data) {
  return request({
    url: '/sgyrdd/previewOrder/groupBuy/confirm',
    method: 'POST',
    data,
  });
}

// 修改临时订单-使用优惠券时需要调用
export function groupBuyUpdate(data) {
  return request({
    url: `/sgyrdd/previewOrder/groupBuy/update`,
    method: 'POST',
    data,
  });
}
// 修改临时订单-提交订单并返回支付信息
export function groupBuyCreate(data) {
  return request({
    url: `/sgyrdd/sgyOrder/groupBuy/create`,
    method: 'POST',
    data,
  });
}
